import 'package:json_annotation/json_annotation.dart';

import '../../bean/atmob_track_point.dart';

part 'query_track_response.g.dart';

@JsonSerializable()
class QueryTrackResponse {
  @JsonKey(name: "cdnPrefix")
  String? cdnPrefix;

  @JsonKey(name: "thumbnailSuffix")
  String? thumbnailSuffix;

  @JsonKey(name: 'list')
  List<AtmobTrackPoint>? trackPoints;

  QueryTrackResponse({this.trackPoints, this.cdnPrefix, this.thumbnailSuffix});

  factory QueryTrackResponse.fromJson(Map<String, dynamic> json) =>
      _$QueryTrackResponseFromJson(json);
}
